iT邦幫忙

0

SQL Server Data Tools (visual studio 2015)的專案轉至visual studio 2012、2017、2019不相容

各位好,

沒有visual studio 2015的程式,只有visual studio 2015備份的專案檔案,
visual studio 2015的專案轉至visual studio 2012、2017、2019出現不相容,請問要如何解決?

直接開啟visual studio 2015的Day1.sln檔案, visual studio 2019出現不相容的錯誤訊息如下圖。

https://ithelp.ithome.com.tw/upload/images/20191014/20108157iyGNaLi1I7.jpg

2 個回答

1
舜~
iT邦研究生 2 級 ‧ 2019-10-14 09:38:05

原則上用高版本打開低版本之後,就無法再用低版本打開了~~~

不過可以透過一些方法繞過,但這方法沒在2019上面試過

[Visual Studio]為專案加入不同Visual Studio版本的方案檔

VS各個版本之間2005、08、10、12…轉換

如果測試成功記得分享喔~~

hheyjen iT邦新手 5 級 ‧ 2019-10-14 14:59:22 檢舉

2019沒找轉換精靈, 另一個方法VS各個版本之間2005、08、10、12…轉換沒有Import Project

1
小魚
iT邦大師 1 級 ‧ 2019-10-14 11:37:00

看起來你是從低版本要用高版本開,
正常來說應該會幫你自動轉換,
然後跳出一些訊息,
(我都沒認真看)
基本上如果能夠正常編譯剛才發生的事就可以忽略了,
如果不能正常編譯再來看看錯誤訊息是什麼.

我要發表回答

立即登入回答